/**************************************************************************************
 * Copyright (c) Jonas Bonr, Alexandre Vasseur. All rights reserved.                 *
 * http://aspectwerkz.codehaus.org                                                    *
 * ---------------------------------------------------------------------------------- *
 * The software in this package is published under the terms of the LGPL license      *
 * a copy of which has been included with this distribution in the license.txt file.  *
 **************************************************************************************/
package org.codehaus.aspectwerkz.annotation;

/**
 * The advice annotation proxy base.
 *
 * @author <a href="mailto:jboner@codehaus.org">Jonas Bonr</a>
 */
public class AdviceAnnotationProxyBase extends UntypedAnnotationProxy {
    String m_pointcut;

    public String pointcut() {
        return m_pointcut;
    }

    public void setValue(final String value) {
        m_pointcut = value;
    }
}
